//-------------------------------------------------------------------------------------------------
// TheMessageHandler.hpp (engine)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#ifndef _include_TheMessageHandler_
#define _include_TheMessageHandler_


//-------------------------------------------------------------------------------------------------
// Included header files
//-------------------------------------------------------------------------------------------------
#include "engineCommon.hpp"


///////////////////////////////////////////////////////////////////////////////////////////////////
//
//		TheMessageHandler
//
///////////////////////////////////////////////////////////////////////////////////////////////////
class TheMessageHandler
{
private:
	/// Static members
	static bool _isInitialized;

public:
	TheMessageHandler(); // default constructor
	~TheMessageHandler(); // destructor

	void Startup();
	void Shutdown();
	const bool HandleWin32Message( const HWND hWnd, const UINT uMsg, const WPARAM wParam, const LPARAM lParam );
};


//-------------------------------------------------------------------------------------------------
// Global singleton instance
//-------------------------------------------------------------------------------------------------
extern TheMessageHandler theMessageHandler;


#endif // _include_TheMessageHandler_
