//-------------------------------------------------------------------------------------------------
// enginePublic.hpp (engine)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
// 
// Engine headers exposed to the game.
//-------------------------------------------------------------------------------------------------
#ifndef _include_enginePublic_
#define _include_enginePublic_


//-------------------------------------------------------------------------------------------------
// Included header files
//-------------------------------------------------------------------------------------------------
#include "engineCommon.hpp"
#include "engineAssert.hpp"
#include "engineMath.hpp"
#include "collision.hpp"
#include "TheApplication.hpp"
#include "TheConsole.hpp"
#include "TheVideoSystem.hpp"
#include "TheRenderer.hpp"
#include "TheNetwork.hpp"
#include "TheGameInterfaceAbstract.hpp"
#include "TheSoundSystem.hpp"
#include "Timer.hpp"


#endif // _include_enginePublic_
