//-------------------------------------------------------------------------------------------------
// Tower.hpp
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------

#include "Animation.hpp"


class Tower
{
public:
	static const float TOWER_RADIUS;
	static const char* TOWER_ANIM_NAME_IDLEFIRE;
	static std::vector<Tower*> towerList;

	/// Construction / deconstruction
	Tower( const Vector2& startPosition );
	~Tower();

	/// Updating, drawing, etc.
	static void		UpdateAll();
	void			Update();

	static void		DrawAll();
	void			Draw();

//	static Mine*	FindFirstMineThatCollidesWithPoint( Vector2& position, float radius );
//	bool			Collide( Vector2& position, float radius );

private:
	Vector2			position;
	Animation*		anim_idleFire;

};

