//-------------------------------------------------------------------------------------------------
// gameSysHeaders.hpp (game)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
// 
// Includes all system headers used by the game (localized into one place for easy
//	configuration of optimized precompiled headers).
//-------------------------------------------------------------------------------------------------
#ifndef _include_gameSysHeaders_
#define _include_gameSysHeaders_


//-------------------------------------------------------------------------------------------------
// Included header files
//-------------------------------------------------------------------------------------------------
/// Standard C library
#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <io.h>

/// C++ STL
#pragma warning( disable : 4786 ) // identifier was truncated to '255' characters in the debug information
#include <string>
#include <vector>
#include <list>
#include <map>
#include <algorithm>


#endif // _include_gameSysHeaders_
